org.modeshape.common.collection

## Class AbstractMultimap.ValuesCollection

- java.lang.Object
- - java.util.AbstractCollection<V>
  - - org.modeshape.common.collection.AbstractMultimap.ValuesCollection

- All Implemented Interfaces:
    Iterable<V>, Collection<V>
  Enclosing class:
    AbstractMultimap<K,V>

      protected final class AbstractMultimap.ValuesCollection
      extends AbstractCollection<V>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractMultimap.ValuesCollection()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `boolean` | `contains(Object o)`
    `Iterator<V>` | `iterator()`
    `int` | `size()`

    - ### Methods inherited from class java.util.AbstractCollection

      `add, addAll, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `equals, hashCode`

- - ### Constructor Detail

    - #### AbstractMultimap.ValuesCollection

          protected AbstractMultimap.ValuesCollection()

  - ### Method Detail

    - #### size

          public int size()

      Specified by:
        `size` in interface `Collection<V>`
      Specified by:
        `size` in class `AbstractCollection<V>`
      See Also:
        `AbstractCollection.size()`

    - #### iterator

          public Iterator<V> iterator()

      Specified by:
        `iterator` in interface `Iterable<V>`
      Specified by:
        `iterator` in interface `Collection<V>`
      Specified by:
        `iterator` in class `AbstractCollection<V>`
      See Also:
        `AbstractCollection.iterator()`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Collection<V>`
      Overrides:
        `clear` in class `AbstractCollection<V>`
      See Also:
        `AbstractCollection.clear()`

    - #### contains

          public boolean contains(Object o)

      Specified by:
        `contains` in interface `Collection<V>`
      Overrides:
        `contains` in class `AbstractCollection<V>`
      See Also:
        `AbstractCollection.contains(java.lang.Object)`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.